$(document).ready(function() {
  let lightsoff = getCookie("lightsoff") === "on";
  let switcher = document.getElementsByClassName("theme_toggle")[0];
  switcher.style.display = "inline-block";
  switcher.innerHTML = lightsoff ? switcher.dataset.light : switcher.dataset.dark;

  if (lightsoff) toggleLights(switcher);
});

function toggleLights(switcher) {
  let html_tag = document.getElementsByTagName("html")[0];
  let is_dark = (html_tag.className === "");

  html_tag.className = is_dark ? "dark" : "";
  switcher.innerHTML = is_dark ? switcher.dataset.light : switcher.dataset.dark;
  setCookie("lightsoff", is_dark ? "on" : "off", 365);
}
